\mode<presentation>

\RequirePackage{ulem}
\ProvidesPackage{beamerthemeinria}

\DeclareOption{sponsors}{\def\beamer@inria@sponsors}
\ProcessOptions

\definecolor{inriared}{RGB}{230, 51, 18}
\definecolor{inriagrey}{RGB}{56, 66, 87}

\newcommand\inriauline{\bgroup
  \markoverwith{\textcolor{inriared}{\rule[-.5ex]{2pt}{.8pt}\hspace*{-1pt}}}
  \ULon
}

\setbeamerfont{title}{series = \bfseries}
\setbeamerfont{subtitle}{series = \bfseries}
\setbeamerfont{date}{size = \normalsize, shape = \itshape}
\setbeamerfont{author}{size = \scriptsize}
\setbeamerfont{institute}{size = \tiny}
\setbeamerfont{section}{size = \scriptsize, shape = \itshape}
\setbeamerfont{frametitle}{size = \large, series = \bfseries}
\setbeamerfont{framesubtitle}{size = \scriptsize, series = \bfseries}
\setbeamerfont{block title}{size = \normalsize, series = \bfseries}
\setbeamerfont{block body}{size = \small}

\setbeamercolor{section}{fg = inriared}
\setbeamercolor{frametitle}{fg = inriared}
\setbeamercolor{framesubtitle}{fg = black}
\setbeamercolor{footline}{fg = black}
\setbeamercolor{block title}{fg = white, bg = inriared}
\setbeamercolor{block body}{fg = black, bg = inriagrey!10}
\setbeamercolor{bibliography entry author}{fg = inriared}
\setbeamercolor{bibliography entry title}{fg = black}
\setbeamercolor{bibliography entry location}{fg = black}
\setbeamercolor{bibliography entry note}{fg = inriared}

\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{caption}{\raggedright\tiny\itshape\insertcaption\par}
\setlength\abovecaptionskip{10pt}

\setbeamertemplate{headline}{
  \begin{beamercolorbox}[wd = \paperwidth, sep = 2ex, center]{section}
    \usebeamerfont{section}\insertsection
  \end{beamercolorbox}
}

\setbeamertemplate{footline}{
  \leavevmode
  \hbox{
    \begin{beamercolorbox}[wd = .33\paperwidth, ht = 6ex, dp = 1ex]
      {footline logo}
      \includegraphics[height = 4ex]{artwork/inria}
    \end{beamercolorbox}
    \ifdefined\beamer@inria@sponsors
    \begin{beamercolorbox}[wd = .33\paperwidth, ht = 6ex, dp = 1ex, center]
      {footline pagenumber}
      \insertframenumber{} / \inserttotalframenumber
      \vskip1ex
    \end{beamercolorbox}
    \begin{beamercolorbox}[wd = .33\paperwidth, ht = 6ex, dp = 1ex, right]
      {footline logo}
      \includegraphics[height = 4ex]{artwork/sponsors}
      \hspace*{1.8ex}
    \end{beamercolorbox}
    \else
    \begin{beamercolorbox}[wd = .64\paperwidth, ht = 6ex, dp = 1ex, right]
      {footline pagenumber}
      \insertframenumber{} / \inserttotalframenumber
      \vskip1ex
    \end{beamercolorbox}
    \fi
  }
}

\setbeamertemplate{block begin}{
  \vskip1em
  \begin{beamercolorbox}[wd = \linewidth, sep = .7ex]{block title}
    \usebeamerfont{block title}\insertblocktitle
  \end{beamercolorbox}
  \begin{beamercolorbox}[leftskip = .8em]{block body}
    \vskip-.5ex
    \usebeamerfont{block body}
}

\setbeamertemplate{block end} {
  \end{beamercolorbox}
  \vskip1em
}

\setbeamercolor{normal text}{fg = black}

\setbeamercolor{item}{fg = inriared}
\setbeamercolor{subitem}{fg = inriared}
\setbeamercolor{item projected}{fg = black, bg = inriared}
\setbeamertemplate{items}[square]

\defbeamertemplate*{title page}{guix}[1][]{
  \centering
  \vfill
  \ifx\inserttitlegraphic\@empty
  \else\inserttitlegraphic\fi
  \vfill
  \begin{beamercolorbox}{presentation title}
    \centering
    \ifx\inserttitle\@empty
    \else
    {\usebeamerfont{title}\inserttitle} \\ [1.5ex]
    \fi
    \ifx\insertsubtitle\@empty
    \else
    {\usebeamerfont{subtitle}\insertsubtitle} \\ [1.5ex]
    \fi
    \ifx\insertdate\@empty
    \else
    {\usebeamerfont{date}\insertdate} \\ [2ex]
    \fi
    \ifx\insertauthor\@empty
    \else
    {\usebeamerfont{author}\insertauthor} \\ [2ex]
    \fi
    \ifx\insertinstitute\@empty
    \else
    {\usebeamerfont{institute}\insertinstitute}
    \fi
  \end{beamercolorbox}
  \vfill
}

\defbeamertemplate*{frametitle}{inria}[1][]{
  \ifx\insertframetitle\@empty
  \else
  \begin{beamercolorbox}[wd = \paperwidth, center]{frametitle}
    \usebeamerfont{frametitle}\insertframetitle
  \end{beamercolorbox}
  \fi
  \ifx\insertframesubtitle\@empty
  \else
  \begin{beamercolorbox}[wd = \paperwidth, center]{framesubtitle}
    \usebeamerfont{framesubtitle}\insertframesubtitle
  \end{beamercolorbox}
  \fi
  \vskip-.8ex
  \includegraphics[width = .8\paperwidth, height = 1px]{artwork/h-separator}
}

\mode<all>
